Bug 1370331 - RGW:NFS NFS V3 support for RGW NFS gateway - Tech preview
Summary: RGW:NFS NFS V3 support for RGW NFS gateway - Tech preview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: Matt Benjamin (redhat)
QA Contact: Ramakrishnan Periyasamy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1437916
TreeView+ depends on / blocked
 
Reported: 2016-08-26 01:31 UTC by Uday Boppana
Modified: 2017-07-30 15:54 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-10.2.7-2.el7cp Ubuntu: ceph_10.2.7-3redhat1xenial
Doc Type: Technology Preview
Doc Text:
.The Ceph Object Gateway now supports NFSv3 protocol as a technology preview Support has been added for accessing Ceph objects by way of the NFSv3 protocol, alongside the existing NFSv4. The NFSv3 protocol has been superseded by NFSv4, but remains widely supported and used. Object upload semantics are slightly different than when using NFSv4 due to the lack of OPEN and CLOSE operations in NFSv3. For NFSv3 clients, the Gateway emulates OPEN operations, and when objects are uploaded, commits the update transaction when no data has been seen for a short time period, instead of on CLOSE. Additionally, NFS-Ganesha now fully supports the ability to export Amazon S3 object namespaces by using NFS 4.1. For details, see the xref:major_updates[Major Updates] section.
Clone Of:
Environment:
Last Closed: 2017-06-19 13:26:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC
Ceph Project Bug Tracker 17322 None None None 2016-09-20 20:30:55 UTC

Description Uday Boppana 2016-08-26 01:31:45 UTC
RGW NFS gateway in RHCS 2.1 must support NFS v3 protocol  for operations required to import data from an external data source and perform basic file operations like create, read and write and set and change user permissions.

Comment 3 Matt Benjamin (redhat) 2016-09-20 18:19:22 UTC
Feature has landed on master as https://github.com/ceph/ceph/pull/10745
Pending backport tracker.ceph.com/issues/17322

Comment 12 Ramakrishnan Periyasamy 2017-05-31 10:01:59 UTC
Moving this bug to verified state.

NFSv3 tests are completed and test runs are updated in polarion.

bz 1431839,,, NFSv3 is tech preview for 2.3

Comment 15 errata-xmlrpc 2017-06-19 13:26:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.